cURL
curl -sS -X GET 'https://apipub.firstbasehq.com/api/v1/regions/{id}' \
-H 'Authorization: ApiKey YOUR_API_KEY' \
-H 'Accept: application/json'import requests
url = "https://apipub.firstbasehq.com/api/v1/regions/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://apipub.firstbasehq.com/api/v1/regions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "00000000-0000-0000-0000-000000000000",
"regionCode": "US",
"name": "United States"
}{
"errors": [
{
"detail": "Invalid request",
"source": "request"
}
]
}{
"errors": [
{
"detail": "Invalid request",
"source": "request"
}
]
}{
"errors": [
{
"detail": "Invalid request",
"source": "request"
}
]
}{
"errors": [
{
"detail": "Invalid request",
"source": "request"
}
]
}Regions
Get region
Returns full details for a single region accessible to the caller’s organization.
GET
https://apipub.firstbasehq.com
/
api
/
v1
/
regions
/
{id}
cURL
curl -sS -X GET 'https://apipub.firstbasehq.com/api/v1/regions/{id}' \
-H 'Authorization: ApiKey YOUR_API_KEY' \
-H 'Accept: application/json'import requests
url = "https://apipub.firstbasehq.com/api/v1/regions/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://apipub.firstbasehq.com/api/v1/regions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "00000000-0000-0000-0000-000000000000",
"regionCode": "US",
"name": "United States"
}{
"errors": [
{
"detail": "Invalid request",
"source": "request"
}
]
}{
"errors": [
{
"detail": "Invalid request",
"source": "request"
}
]
}{
"errors": [
{
"detail": "Invalid request",
"source": "request"
}
]
}{
"errors": [
{
"detail": "Invalid request",
"source": "request"
}
]
}Authorizations
Prefix the value with "ApiKey" to indicate the custom authorization type
Path Parameters
Response
The requested region
A geographic region that scopes inventory levels and warehouse coverage for the organization
Unique identifier for this region; use this ID when creating inventory levels or inventory orders
Example:
"00000000-0000-0000-0000-000000000000"
Short code identifying the region (e.g. ISO country code or custom org-defined code)
Example:
"US"
Human-readable name of the region
Example:
"United States"